Resent-Date: Sun, 15 Aug 1999 19:47:38 +0200 (MET DST)
Date: Sun, 15 Aug 1999 19:47:54 +0200
X-Authentication-Warning: pcitpdp17.cern.ch: jes set sender to Jes.Sorensen@cern.ch using -f
From: Jes Sorensen <Jes.Sorensen@cern.ch>
To: torvalds@transmeta.com
CC: rmk@arm.uk.linux.org, linux-kernel@vger.rutgers.edu,
        linux-m68k@lists.linux-m68k.org
Subject: busmouse changes
Resent-From: linux-m68k@phil.uni-sb.de

Hi

With the new busmouse changes in 2.3.13 I had problems with the Amiga
mouse driver behaving really strange. I thought it was related to
drivers/char/amigamouse.c but I was wrong.

It does actually make a difference in what order arguments are passed
to kmalloc() ;-)

Jes

--- /home/jes/tmp/2.3.14-pre1/drivers/char/busmouse.c	Tue Aug 10 09:36:10 1999
+++ drivers/char/busmouse.c	Sun Aug 15 19:44:57 1999
@@ -380,7 +380,7 @@
 	if (busmouse_data[msedev])
 		return -EBUSY;
 
-	mse = kmalloc(GFP_KERNEL, sizeof(*mse));
+	mse = kmalloc(sizeof(*mse), GFP_KERNEL);
 	if (!mse)
 		return -ENOMEM;
 
@@ -465,6 +465,7 @@
 	return 0;
 }
 
+EXPORT_SYMBOL(busmouse_add_movementbuttons);
 EXPORT_SYMBOL(busmouse_add_movement);
 EXPORT_SYMBOL(busmouse_add_buttons);
 EXPORT_SYMBOL(register_busmouse);

